<?php
	profile :: is_user(true);
	$thisPage = "activate";
	$thisLink = "/activate";
	$title = $l = "Активация страницы";
	$error = "";
	if($user['act'] == 1) { system :: redirect("Ваша страница уже активирована.", profile :: getLink($user)); }
	if(isset($_GET['user']) && isset($_GET['key'])) {
		$u = intval($_GET['user']);
		$key = system :: check($_GET['key']);
		if($user['id'] == $u){
			if($user['activate'] == $key) {
				DB :: $pdo -> query("UPDATE `users` SET `act` = ? WHERE `id` = ? LIMIT 1;", [1, $user['id']]);
				system :: redirect("Ваша страница успешно активирована.", profile :: getLink($user));
			} else { $error = "Не верный ключ активации."; }
		} else {$error = "Ошибка активации.";}
	}


	if(isset($_POST['cfms'])) {
		if(isset($_POST['access']) && $_POST['access'] == ACCESS) {
			if(isset($_POST['email'])) {
				$email = filter_var(system :: check($_POST['email']), FILTER_SANITIZE_EMAIL);
				if($user['email'] == "" && system :: utf_strlen($email) > 5 && system :: utf_strlen($email) <= 50 && filter_var($email, FILTER_VALIDATE_EMAIL)) {
					$user['email'] = $email;
				}
			}
			if($user['email'] != "") {
				$activation = system :: genHash(strrev(time()).time(),$id).md5(time()+3000).rand(1111,9999);
				DB :: $dbh -> query("UPDATE `users` SET `activate` = ?, `email` = ? WHERE `id` = ? LIMIT 1;", [$activation, $user['email'], $user['id']]); 
				system :: activateMail($user['id'],$user['email'],$activation); // Ключ активации
				system :: redirect("Письмо успешно отправлено.", $thisLink);
			}
		}
	}


	require (CORE."head.php");

	echo "<div class=\"app-block\">";
	?>
	<div class="list">
	<div class="app-block-w">
	<?=system :: show($error);?>
	<form method="post" action="">
		<div class="_center _gray _font-s">Для обеспечения безопасности, все аккаунты требуют обязательной активации по E-mail.</div>
		<input type="hidden" name="access" value="<?=ACCESS?>" />
		<?php if($user['email'] == "") { ?>
		<div class="_label _m-top">E-mail:</div>
		<input type="text" class="main-input _w-100 _dbl" name="email" value="" />
		<div class="_m-top"><input type="submit" name="cfms" class="main-btn_b _dbl _w-100" value="Активировать"/></div>
		<?php } else { 
		$host = explode("@",$user['email']);
		$host = $host[1];
		?>
		<div class="_m-top-x2">
			На Вашу почту <span class="_bold"><?=$user['email']{0}?>****@<?=$host?></span> было отправлено письмо со ссылкой активации.
			<div class="_m-top-x2"></div>
			<div class="_m-top-x2">
				
				<div class="_gray">Сообщение не пришло?</div>
				<div class="_m-top"><input type="submit" name="cfms" class="main-btn_b _dbl _w-100" value="Отправить повторно"/></div>

			</div>
		</div>
		<?php } ?>
	</form>
	</div>
	</div>
	<?php
	echo "</div>";

	require (CORE."foot.php");